/* DataDATING AUTOMATED TAGLINE STYLES - ui/widgets/DatingTagline.tsx */

.datingtaghldr {
    display: flex;
    justify-content: flex-end;
    text-shadow: var(--textshadowlyt);
}
.tagwidhldr {
    display: inline-flex;
    align-items: baseline;
    white-space: nowrap;
}
.rotwordshldr {
    display: inline-block;
    overflow: hidden;
    transition: all 500ms ease-in-out;
}
.wordrytmarg {
    margin: 0;
}
.rotatword {
    text-decoration: line-through;
    text-decoration-thickness: 1px;
    display: inline-block;
    transition: opacity 500ms;
}
.rotatword.opacity-0 {
    opacity: 0;
}
.rotatword.opacity-100 {
    opacity: 0.85;
}
.tagwordhidr {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}



.datingWelcome .rateItemHolder .rateListItem .votebutnrow {
    width: 100%;
}

.datingWelcome .dashinfolft {
    width: calc(33.33% - 15px);
    border-right: 1px solid #737B9977;
    padding: 15px 0 25px;
    text-align: center;
    border: 1px solid #FF6600;
    border-radius: 12px;
}
.datingWelcome .dashinfomidl,
.datingWelcome .dashinforyt {
    opacity: 0.5;
}


.datingWelcAvatar,
.datingWelcIcon { 
    width: 100px;
    height: 100px;
    border-radius: 60px;
    border: 6px solid #FF6600;
    box-shadow: var(--boxshadowlytlg); 
    position: relative;
    margin: 5px 10px 15px;
}
.datingWelcIcon { 
    background: rgba(255, 102, 0, 0.133);
}

/* DataDATING OVERRIDES OF UI-CORE */



.datingWelcomeHeader .userdeets .user-hldr {
    display:none;
}
.datingWelcHeader .userdeets {
    gap: 0px;
}
.datingWelcHeader .modebutn {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 6px 16px 3px;
}

.datingWelcHeader .user-hldr {
    gap: 22px;
}

.datgamgames.DataDating .dashdr {
    margin: 15px 20px 50px;
    padding: 0 10px 40px;
    width: calc(100% - 60px);
    justify-content: space-between;
}
.datgamgames.DataDating.datingWelcome .dashdr {
    flex-direction: column;
    align-items: center;
}

.datingWelcome .dashdr .maintitle {
    font-size: 4em;
    letter-spacing: -2px;
    line-height: 1em;
    font-weight: 400;
}
.datingWelcome .dashdrlft .dashdricon svg {
    min-width: 74px;
    min-height: 74px;
}


.datingdashinfo {
    width: calc(100% - 60px);
    margin: -10px 20px 40px;
    padding: 0 10px 40px;
    display: flex;
    align-items: center;
    border-bottom: var(--borderbottomcolor);
    box-shadow: var(--borderboxshadow);
    transition: box-shadow 0.5s, border-bottom 0.5s;
}

.datingcompsect {
    width: 100%;
    margin: 0;
    padding: 40px 0;
    display: flex;
    align-items: center;
    border-bottom: var(--borderbottomcolor);
    box-shadow: var(--borderboxshadow);
    transition: box-shadow 0.5s, border-bottom 0.5s;
}
.datingcompsect.compsect1 {
    padding: 0 0 60px;
}

.conxCompatOvr .hdrTitle {
    margin: 0 0 0 25px;
}


.datingcatstitle .dashinfotitle {
    display: flex;
    margin: 0 0 8px 6px;
    align-items: center;
}
.dashinfotitle .listTitle {
    display: flex;
    align-items: center;
}
.dashinfotitle .listMeta {
    display: flex;
    align-items: center;
}
.dashinfotitle .listMeta .metaSep {
    margin: 0 30px;
}
.dashinfotitle .listMeta .metaInfo {
    display: flex;
    align-items: center;
}
.dashinfotitle .listMeta .metaInfo b {
    margin: 0 6px 0 0;
}

.datingWelcome .dashinfoMobi {
    display: none;
}


.datingdashinfo .dashinfocont {
    margin: 0 0 30px 50px;
}
.datingdashinfo .dashinfolft .dashinfocont,
.datingdashinfo .dashinfomidl .dashinfocont,
.datingdashinfo .dashinforyt .dashinfocont {
    margin: 10px 0 30px;
    line-height: 1.3em;
}
.datingcatstitle {
    width: calc(100% - 60px);
    margin: 0 20px 10px;
    padding: 15px 10px 0;
    display: flex;
    align-items: center;
}


.datingwelcinfo .hdrSearchButn {
    padding: 12px 24px 12px 20px;
} 
.hdrSearchButn.datingTopx,
.datingwelcinfo .hdrSearchButn.datingShar {
    color: #FFF;
    background-color: #FF6600;
    border: 2px solid #FF6600;
    margin: 0 auto;
}
.hdrSearchButn.datingShar,
.datdatButn.datLinks button:hover  {
    color: #FFF;
    background-color: #FF0022;
    border: 2px solid #FF0022;
    margin: 0 auto;
}
.datingwelcinfo .hdrSearchButn.datingPriv,
.hdrSearchButn.datingConx,
.datdatButn.datConx button:hover {
    color: #FFF;
    background-color: #00BB00;
    border: 2px solid #00BB00;
    margin: 0 auto;
}
.datingwelcinfo .hdrSearchButn.datingConx,
.hdrSearchButn.datingPriv,
.datdatButn.datPriv button:hover  {
    color: #FFF;
    background-color: #0077CC;
    border: 2px solid #0077CC;
    margin: 0 auto;
}
.hdrSearchButn.datingTopx:hover,
.datingwelcinfo .hdrSearchButn.datingShar:hover {
    color: #FFF;
    background-color: #cc5200;
    border: 2px solid #FF6600;
    margin: 0 auto;
}
.hdrSearchButn.datingShar:hover {
    color: #FFF;
    background-color: #ba0019;
    border: 2px solid #FF0022;
}
.datingwelcinfo .hdrSearchButn.datingPriv:hover,
.hdrSearchButn.datingConx:hover {
    color: #FFF;
    background-color: #007700;
    border: 2px solid #00BB00;
}
.datingwelcinfo .hdrSearchButn.datingConx:hover,
.hdrSearchButn.datingPriv:hover {
    color: #FFF;
    background-color: #005588;
    border: 2px solid #0077CC;
}


.datingConx .compActionButns button a,
.datingConx .moreActionButns button a {
    padding: 12px 8px;
}

.datingConx .compActionButns {
    display: none;
}

.datingwelcinfo .avMain {
    height: 120px;
    width: 120px;
}

.step2_details,
.step3_details,
.step4_details {
    padding: 1px 21px;
    border-radius: 8px;
}

h3.orng.shadup {
    background: #737b99;
    text-shadow: none;
    color: #FFF;
    padding: 5px 4px 5px 10px;
    border-radius: 5px;
}

/*  INVITE LINKS PAGE  */

.createNewLink {
    display: flex;
    margin: 0 0 30px;
    padding: 10px 0 35px;
    border-bottom: var(--borderbottomcolor);
    box-shadow: var(--borderboxshadow);
    transition: box-shadow 0.5s, border-bottom 0.5s;
    align-items: center;
    gap: 12px;
    justify-content: space-between;
}
.newLinkLft {
    padding: 0 50px 15px 0;
    line-height: 1.3em;
}
.newLinkRyt {
    display: flex;
    flex-direction: column;
    align-items: end;
    align-items: flex-end;
    -webkit-align-items: flex-end;
    justify-content: end;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
    gap: 7px;
}
.newLinkFields {
    display: flex;
    align-items: center;
    justify-content: end;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
    gap: 12px;
}
.newLinkFields input {
    background: none;
    min-width: 200px;
    height: 42px;
    padding: 0 7px;
    border: none;
    box-shadow: var(--shadinsetsm);
}
.newLinkFields input:focus {
    color: #737B99;
    font-weight: 600;
}

.newLinkFields button {
    min-width: 260px;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 6px 16px;
    color: #FFF;
    border: none;
}
.newLinkFields button:hover {
    background: #00BB00 !important;
    cursor: pointer;
}

.inviteLinkList {

}
.inviteLink {
    display: flex;
    padding: 20px 15px;
    margin: 0 0 22px;
    justify-content: space-between;
    color: var(--darksamegrey);
    border: 1px dashed #FF6600;
    background: #FF660009;
}
.linkInfo {
    display: grid;
    min-height: 100%;
}
.linkName,
.linkCode,
.linkDate,
.conxDate  {
    display: flex;
    align-items: center;
    justify-content: start;
}
.linkName input  {
    background: none;
    border: 1px solid #737b9999;
    box-shadow: inset 2px 2px 3px #737B9999, inset -3px -3px 3px #FFF;
    margin: 0 10px 0 0px;
    padding: 8px;
    width: 160px;
    color: var(--text-color);
    transition: width 1.5s ease;
}
.linkName input:focus  {
    background: #E5E5E5;
    border: 1px solid #737b99;
    font-weight: 600;
    width: 200px;
    color: #737B99;
}
.linkName button {
    background: none;
    padding: 5px 12px;
    margin: 0 4px;
    border: none;
    font-size: 0.8em;
    color: #737B99;
}
.linkName button:hover {
    background: #737B99 !important;
    color: #FFF;
    cursor: pointer;
}



.linkInfo div label {
    width: 70px;
    text-align: right;
    padding: 0 10px 0 0;
}
.linkMeta {
    display: flex;
    align-items: center;
    justify-content: end;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
    gap: 22px;
}
.linkUsed {
}
.linkUsedBox {
    display: grid;
    text-align: center;
}
.linkUsedBy {
}
.linkButns {
    display: flex;
    flex-direction: column;
    align-items: end;
    align-items: flex-end;
    -webkit-align-items: flex-end;
    justify-content: center;
    gap: 10px;
}
.linkButns button,
button.refreshLinksButn {
    padding: 4px 5px;
    min-width: 80px;
    font-size: 0.7em;
    display: flex;
    align-items: center;
    justify-content: start;
    border: none;
    gap: 7px;
    background: none;
    color: #737B9999;
    font-weight: 600;
    transition: width 1s ease;
}
button.refreshLinksButn:hover,
.linkButns button:hover {
    background: #737B99;
    color: #FFF;
    cursor: pointer;
}


.linkCopyButn.used-link {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #cccccc22;
}
/* Optional: add a hover effect to make it clearer */
.linkCopyButn.used-link:hover::after {
    content: "Link already used - cannot copy.";
    position: absolute;
    background: rgba(0, 0, 0, 0.9);
    color: #FFF;
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 12px;
    margin-top: -40px;
    margin-left: -40px;
    width: 130px;
}


.deleteLink-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10100;
}
.deleteLink-modal-content {
    background: #111;
    color: #DDD;
    padding: 10px 20px 60px;
    max-width: 600px;
    width: 90%;
    margin: 0 5%;
    text-align: center;
}
.deleteLink-modal-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
}
.delete-confirm {
    background: #ff4444;
    color: white;
    border: none;
    padding: 8px 16px;
    cursor: pointer;
}
.delete-confirm:hover {
    background: #CC0000;
}
.delete-cancel {
    background: #666;
    color: white;
    border: none;
    padding: 8px 16px;
    cursor: pointer;
}
.delete-cancel:hover {
    background: #00BB00;
}
.combine-confirm {
    background: #FF6600AA;
    color: white;
    border: none;
    padding: 8px 16px;
    cursor: pointer;
}
.combine-confirm:hover {
    background: #FF6600;
}







.selectConxList {
    padding:0;
}
h3.conxListHdr {
    margin: 5px 0 20px;
}
.selectConxCard {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 12px 14px 21px;
    margin: 0 0 22px;
    transition: box-shadow 0.5s;
}
.viewConxnButn {
    background: none;
    border: none;
    padding: 0;
    width: fit-content;
}
.viewConxnButn a {
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 3px 9px;
    background: none;
    color: #737B99;
}
.viewConxnButn:hover {
    background: #00BB00;
    color: #FFF;
}
.viewConxnButn:hover a,
.viewConxnButn a:hover,
.viewConxnButn:hover a svg,
.viewConxnButn a:hover svg {
    color: #FFF !important;
}
.mechsHldr {
    display: flex;
    flex-direction: column;
    align-items: end;
    align-items: flex-end;
    -webkit-align-items: flex-end;
    gap: 8px;
    margin: 0;
    min-height: 105px;
}
.mechsTop {
    display: flex;
    flex-direction: column;
    align-items: end;
    align-items: flex-end;
    -webkit-align-items: flex-end;
}
.mechsTop select {
    -webkit-appearance: button;
    -moz-appearance: button;
    -webkit-user-select: none;
    -moz-user-select: none;
    background: none;
    border: 1px solid #737b9944;
    border-radius: 6px;
    box-shadow: var(--shadinsetsm);
    color: #FF6600;
    font-weight: 600;
    font-size: 0.75em;
    overflow: hidden;
    width: 120px;
    margin: 0;
    padding: 3px;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.mechLevel  {
    display: flex;
    align-items: center;
    justify-content: end;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
}
.statsAttr {
    display: flex;
    align-items: center;
}
.statsLevel {
    width: 120px;
    margin: 0 0 0 5px;
    padding: 0 0 0 5px;
    text-shadow: var(--textshadowlyt);
}
.mechsThem {
    margin: 0 0 2px;
}
.theirLevel {
    text-shadow: var(--textshadowlyt);
    width: 130px;
    margin: 0 0 0 8px;
}
.mechsYou {}

.mechsBotm {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
.mechsBotm button {
    padding: 3px 5px;
    border: none;
    background: none;
    display: flex;
    align-items: center;
    justify-content: start;
    color: var(--darksamegrey);
    gap: 4px;
    width: 117px;
}
.mechsBotm button:hover {
    background: #CC0000;
    color: #FFF;
    cursor: pointer;
}


/* CONNECTIONS COMPATIBILITY PAGE  */

.selectFriend.conxCompatOvr {
    width: calc(100% - 200px);
}
.compareFriend.conxCompatOvr .selectFriendHdr {
    padding: 5px 40px;
}

.rateGameinfo svg {
    filter: var(--svgdropfilter);
    transition: color 0.5s;
}

.compatHdr {
    padding: 30px 0 0;
    display: flex;
    flex-direction: column;
    margin: 0 30px;
    border-top: var(--topBorder);
    box-shadow: var(--topBoxShadow);
    transition: border-top 0.5s, box-shadow 0.5s;
}
.compatAvatars {
    padding: 30px 0;
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 0 30px;
}
.compareStats.compatScore {
    padding: 5px 0 15px;
    text-shadow: var(--textshadowlyt);
    box-shadow: none;
    border: none;
    justify-content: center;
    transition: text-shadow 0.5s;
}
.datingOverview .compatMeta { 
    display: flex;
    align-items: start;
    flex-direction: column;
    gap: 5px;
}
.datingOverview .compatMut { 
    font-size: 1em;
    font-weight: 600;
    margin: 10px 0px 0px 9px;
    padding: 9px 0 0;
    border-top: 1px solid #737B9977;
    width: 100%;
}

.simCol.mutualGamesStats {
    align-items: end;
    align-items: flex-end;
    -webkit-align-items: flex-end;
    padding: 0 25px 0 0;
    width: calc(50% - 180px);
}
.simCol.scoreValue.mutualGamesStats {
    align-items: start;
}
.compatScore .scoreGraph { 
    width: 260px;
    height: 135px;
    padding: 5px 5px 2px;
    border-radius: 130px 130px 6px 6px;
    position: relative;
    overflow: visible;
    background-image: none;
    transition: box-shadow 0.3s;
}
.compatScore .speedoGrafHldr {
    padding: 0;
}
.compatScore .graphNeedle {
    width: 125px;
    height: 8px;
    position: absolute;
    bottom: 0;
    left: 50%;
    background: #FF6600;
    border: 3px solid #FFF;
    transform-origin: left center;
    transition: transform 0.3s ease-out;
    clip-path: polygon(100% 50%, 0 0, 0 100%);
    border-radius: 11px 0 0 11px;
    z-index: 15;
}
.compatScore .graphNeedleBlur {
    width: 125px;
    height: 11px;
    bottom: -4px;
    background: #22222244;
    filter: blur(4px);
}
.dashavfig.datgamimg.compatGamImg,
.datgamimg.compatGamImg .dashavatar,
.dashavfig.compatGamImg.datgamimg figure::after {
    width: 185px;
    height: 140px;
    top: 0;
}
.dashavfig.datgamimg.compatGamImg {
    margin: 0 25px 0 0;
}
.datingOverview {
    padding: 0 0 50px;
}
.datingOverview .userGamesButnRow {
    width: calc(100% - 70px);
    margin: 0 auto;
    padding: 20px 5px 25px;
    border-bottom: none;
    border-top: var(--topBorder);
    box-shadow: var(--topBoxShadow);
    transition: none;
    gap: 25px;
}
.datingOverview .compareAvatars {
    padding: 30px 0 5px;
}
.mutualGamesList .scoreGraph.rankGraph,
.selectConx .scoreGraph.rankGraph {
    background-image: url(/wp-content/uploads/speedoRankBG.png);
}
.datingcompsect .hdrSearchButn.datingShar {
    margin: 0 0 0 auto;
}
.inactiveDatingButn  {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    color: #737b99;
    font-weight: 600;
    padding: 10.5px 13px;
    font-size: 0.9em;
    opacity: 0.4;
    background: #737B9966;
}
.datingOverview .scoreSimVal small,
.selectConx .scoreSimVal small {
    line-height: 1.1em;
}
.datingOverview .simPerc {
    font-size: 4.5em;
}
.datingOverview .scoreHldr,
.datingOverview .scoreInfo {
    gap: 20px;
}
.datingOverview .scoreHldr .scoreSimVal span,
.selectConx .scoreHldr .scoreSimVal span {
    color: #FF6600;
}
.datingOverview .friendLink:hover,
.selectConx .friendLink:hover {
    background: #EE5500;
}
.datingOverview .friendLink.playButn:hover,
.selectConx .friendLink.playButn:hover {
    background: #008800;
}

button.welcSubmitButn {
    padding: 5px 15px 5px 10px;
    background: #737B99 !important;
    font-size: 15px;
    font-weight: 600;
    width: auto !important;
    color: #FFF;
}
button.welcSubmitButn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}
button.welcSubmitButn:hover {
    background: #0077CC !important;
}
.welcSubmitButn svg {
    margin: 0 10px 0 0;
}

.selectConx .userGamesButnRow {
    padding: 0 50px 30px;
}

.datingOverview .selectFriendCard {
    padding: 20px 0;
}

.animSimVal {
    display: block;
    transition: width 1s ease;
}
.finalContWidth { 
    width: fit-content;
    display: inline-block;
}

.privSettings {
    position: relative;
    max-width: 450px;
}
.privSettings .privWarn.tooltip {
    position: absolute !important;
    top: -5px;
    right: 0px;
}
.privSetTitle {
    border-bottom: 1px solid #737b9999;
    display: inline-block;
    margin: 0 0 6px;
    font-weight: 600;
    font-size: 1.1em;
    line-height: 1.4em;
    width: 100%;
}
.exceptToggleBase { 
    display: flex;
    align-items: center;
    width: 52px;
    height: 14px;
    border: solid 1px #737B9955;
    background: #737B9922;
    box-shadow: inset 1px 1px 3px #737B99EE, inset -1px -1px 3px #FFF;
    border-radius: 5px;
    margin: 0 0 0 20px;
    position: relative
}
.exceptToggleLabels {
    font-size: 8px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    padding: 2px 0 0;
}
.exceptToggleLabel {
    padding: 2px 4px 1px;
}
.exceptToggleKnob {
    width: 24px;
    height: 12px;
    border: solid 1px #737B99AA;
    background: #737B99;
    border-radius: 3px;
    box-shadow: 1px 1px 3px #737B99BB;
    position: absolute;
    top: 0px;
    color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
}


.conxCompatOvr .userGamesButnRow {
    display: flex;
    justify-content: end;
    margin: -5px 30px 0;
    border-top: var(--topBorderLyt);
    border-bottom: none;
    box-shadow: var(--topBoxShadow);
    transition: box-shadow 0.5s, border-top 0.5s;
    padding: 25px 0;
    gap: 30px;
}
.datingOverview .gamListHdr { 
    width: calc(100% - 50px); 
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px auto 0;
    padding: 35px 0 15px;
}
.datingOverview .gameDetails .datgamName {
    font-size: 1.4em;
    font-weight: 600;
    line-height: 1em;
    margin: 0 25px 5px 0;
    width: 195%;
}
.datingOverview .datgamMetaSep {
    margin: 0 8px;
    font-weight: 400;
}


.privButn {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 22px 17px;
    line-height: 1em;
}

.selectFriend.selectConx {
    width: 85.5%;
}
.selectConx .plyrOrdrMsg {
    display: flex;
    align-items: normal;
    margin: 0px 25px 10px;
    padding: 30px 0 0;
    flex-direction: column;
}
.selectConx .friendNameMeta { 
    display: flex;
    flex-direction: column;
    align-items: start; 
    gap: 8px;
}
.selectConx .friendName {}
.selectConx .metaHldr { 
    display: flex; 
    align-items: start;
    gap: 4px;
    flex-direction: column;
}
.selectConx .metaHldrSect { 
    display: flex; 
    flex-direction: column; 
    align-items: start; 
    line-height: 1em; 
    gap: 0px;
}
.selectConx .metaTitle {
    display: flex; 
    align-items: baseline; 
    gap: 75px;
}
.selectConx .privWarn { 
    bottom: -6px;
    margin: -12px 0 0 -10px;
}
.selectConx .privWarn svg { 
    color: #de8d00 !important;
}
.selectConx .privWarn.greensvg svg { 
    color: #00BB00 !important;
}
.selectConx .metaData { 
    display: flex;
    align-items: center;
    gap: 0px;
    font-size: 0.7em;
}
.selectConx .infoThem,
.selectConx .infoYou { 
    display: flex;
    align-items: center;
    line-height: 1em;
    width: 165px;
}
.selectConx .infoThem b,
.selectConx .infoYou b { 
    margin: 0 5px 0 0;
    display: inline-block;
    font-weight: 300;
}
.selectConx .metaPriv {}
.selectConx .privacyInfo {}
.selectConx .scoreHldr {
    gap: 30px;
}




.ftrButn .tooltip,
.privWarn.tooltip,
.myPrivLvl.tooltip,
.friendLink.tooltip {
    position: relative;
}
.ftrButn .tooltip .tooltiptext,
.privWarn.tooltip .tooltiptext,
.myPrivLvl.tooltip .tooltiptext,
.friendLink.tooltip .tooltiptext {
    visibility: hidden;
    width: 195px;
    background-color: #111;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 5px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    right: -70px;
    opacity: 0;
    transition: opacity 0.5s;
    font-size: 11px;
    line-height: 1.3em;
}
.myPrivLvl.tooltip .tooltiptext {
    width: 175px;
    bottom: 140%;
    right: -60px;
}
.ftrButn .tooltip .tooltiptext {
    width: 150px;
    bottom: 140%;
    right: 20px;
}
.privWarn.tooltip .tooltiptext {
    width: 210px;
    bottom: 150%;
    right: -93px;
}
.ftrButn .tooltip .tooltiptext::after,
.privWarn.tooltip .tooltiptext::after,
.myPrivLvl.tooltip .tooltiptext::after,
.friendLink.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -3px;
    border-width: 9px;
    border-style: solid;
    border-color: #111 transparent transparent transparent;
}
.myPrivLvl.tooltip .tooltiptext::after {

}
.ftrButn .tooltip:hover .tooltiptext,
.privWarn.tooltip:hover .tooltiptext,
.myPrivLvl.tooltip:hover .tooltiptext,
.friendLink.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
    box-shadow: 2px 3px 6px #000000DD;
}
.selectConx a.friendLink,
.selectConx .friendLink a,
.datingOverview a.friendLink,
.datingOverview .friendLink a {
    flex-direction: column;
    gap: 0;
    padding: 2px 0;
}
.datingconx .compGameItems {
    justify-content: center;
    text-align: center;
}
.datingConx .simCol {
    width: auto;
    flex-direction: column;
    padding: 0 0 0 25px;
    position: relative;
}
.vsrankconx .datingConx .simCol {
    width: auto;
    flex-direction: column;
    padding: 0 0 0 25px;
    position: relative;
}

.datingConx .compGameItems {
    justify-content: center;
    text-align: center;
    margin: 8px 0 0;
}
.datingConx .simPerc {
    font-size: 5.2em;
    text-align: center;
}
.datingConx .simTxt {
    padding: 0;
    color: var(--text-color);
}

.datingConx .compVS {
    color: var(--text-color);
}

.inviteLoginButn.modebutn {
    display: flex;
    align-items: center;
    padding: 7px 8px 5px;
    margin: 0 5px 0 10px;
}
.inviteLoginButn.modebutn svg {
    filter: none;
    margin: 0 0 0 10px;
}
.userdeets .thememode.modebutn {
    margin: 0 !important;
}

.itemDetails { 
    width: calc(100% - 60px);
    margin: 0 auto 15px;
    border-bottom: var(--borderbottomcolor);
    box-shadow: var(--borderboxshadow);
    transition: box-shadow 0.5s, border-bottom 0.5s;
}
.itemDetails h3 { 
    margin: 0px; 
    padding: 30px 0px 10px 25px; 
}

.compareFriend.datingConx .infoBubl.infoRateDiff {
    top: -10px;
    right: 4px;
}




/*  ERROR MESSAGES from the server IN DataDATING */
.error-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 200px;
    padding: 20px;
}

.error-message {
    background-color: #fff3f3;
    border: 1px solid #ffcdd2;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    color: #d32f2f;
    max-width: 400px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.error-message i {
    font-size: 24px;
}

.error-message p {
    margin: 0;
    font-size: 16px;
}

.error-message.error-unauthorized {
    background-color: #fff3f3;
    border-color: #ffcdd2;
    color: #d32f2f;
}

.error-message.error-not-found {
    background-color: #f3f4f6;
    border-color: #d1d5db;
    color: #374151;
}

.error-message.error-general {
    background-color: #fff8e1;
    border-color: #ffe082;
    color: #f57c00;
}

.privLvlSep {
    margin: 0 8px;
}

